/* **********************************************************************
   * File: FAXAPI.H                                                     *
   * Version: 1.0                                                       *
   * Date: 1993-01-26                                                   *
   * Author: Vanderstraeten Philippe                                    *
   *                                                                    *
   * (c) Microformatic S.A. 1991 - 1993                                 *
   ********************************************************************** */


#ifndef INCL_FAXAPI_H
#define INCL_FAXAPI_H

/***************************************************************************/
/*                                                                         */
/*                       FAXDRIVERDATA fields length                       */
/*                                                                         */
/***************************************************************************/


#define LEN_RECIPIENT            64
#define LEN_FAXNAME              128
#define LEN_COMMENT              80
#define LEN_LOGO                 128
#define LEN_FROM                 80
#define LEN_MYFAXNUMBER          80
#define LEN_MYPHONENUMBER        80
#define LEN_CONTENTS             512
#define LEN_COMMENTS             80
#define LEN_TO                   64

/***************************************************************************/
/*                                                                         */
/*                       FAXDRIVERDATA constants                           */
/*                                                                         */
/***************************************************************************/

/* ulRecipientType */

#define DESTINATION_IS_PHONE        0
#define DESTINATION_IS_NAME         1
#define DESTINATION_IS_LIST         2

/* ulHold */

#define HOLD_FAX                    TRUE


/***************************************************************************/
/*                       FAXPM.DRV Internal Escape codes                   */
/* ATTENTION: Use DEVESC_QUERYESCSUPPORT to retrieve Escape code support   */
/***************************************************************************/

#define DEVESC_FAX_BASE                32768
#define DEVESC_CALL_FAXPHONEBOOK       DEVESC_FAX_BASE + 1
#define DEVESC_CALL_FAXSEND            DEVESC_FAX_BASE + 2
#define DEVESC_CALL_FAXTIME            DEVESC_FAX_BASE + 3
#define DEVESC_CALL_FAXHEADER          DEVESC_FAX_BASE + 4

typedef struct _FAXDRIVERDATA
{
   CHAR  szFaxName[LEN_FAXNAME];
   CHAR  szRecipient[LEN_RECIPIENT];
   CHAR  szComment[LEN_COMMENTS];
   CHAR  szLogo[LEN_LOGO];
   CHAR  szFrom[LEN_FROM];
   CHAR  szFax[LEN_MYFAXNUMBER];
   CHAR  szPhone[LEN_MYPHONENUMBER];
   CHAR  szContents[LEN_CONTENTS];
   CHAR  szStartTime[16];
   CHAR  szEndTime[16];
   ULONG ulRecipientType;
   ULONG ulHold;
   ULONG ulDialogRet;
   CHAR szTo[LEN_TO];
} FAXDRIVERDATA;

#define FAX    FAXDRIVERDATA


#endif
