/*****************************************************************************
 *
 * File         SENDFAX.CMD
 *
 * Program      This REXX procedure allows to fax ASCII files.
 *              The syntax of the procedure is :
 *              SENDFAX <ascii_file> <output_file> <fax_number> <bitmap_file>
 *
 * Last modif   February 17, 1993
 *
 * Copyright    (c) Microformatic S.A. 1993
 *
 *****************************************************************************/

/*****************************************************************************
 *
 * NOTE
 *
 *****************************************************************************
 *
 * This procedure must be called from within an OS/2 Window. Calling this
 * procedure from within an OS/2 Full Screen session may cause unpredictable
 * results.
 *
 *****************************************************************************/

SAY "SENDFAX - Automatic ASCII Faxing procedure - (c) Microformatic 1993"

/*****************************************************************************
 * Check the parameters
 *****************************************************************************/
 parse arg infile outfile faxnum bitmap

If infile="" then do
  call DisplaySyntax
  exit 1
end

If outfile="" then do
  call DisplaySyntax
  exit 1
end

If faxnum="" then do
  call DisplaySyntax
  exit 1
end

If bitmap\="" then do
  bitmap="BITMAP="bitmap
end

/*****************************************************************************
 * Register the Fax/PM functions and send the fax
 *****************************************************************************/
x=RxFuncAdd('FaxLoadFuncs','FaxRexx','FaxLoadFuncs')
x=FaxLoadFuncs('')
x=RxSendAsciiFax('','FILE='infile';OUTFILE='outfile';FONT='12';STATUS=READY;FAXNUM='faxnum';'bitmap)
exit 0

DisplaySyntax: Procedure
say "The correct syntax is : SENDFAX input_file output_file fax_number bitmap_file"
say "where input_file is the name of the ASCII file to send."
say "      output_file is the name of the fax file to generate."
say "      fax_number is the fax telephone number to send the fax to."
say "      bitmap_file is the name of an OS/2 bitmap. This is optional. The bitmap"
say "                  will be included at the top of the first page"
